package edu.uoc.tfc.j2ee.icampanario.components.signer;

import java.io.Serializable;

import edu.uoc.tfc.j2ee.icampanario.components.ComponentsFactory;

/**
 * Clase fábrica para el componente Signer
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class SignerFactory implements Serializable {

	/**
	 * serial version uid
	 */
	private static final long serialVersionUID = 3020142767527669307L;
	
	/**
	 * Nombre del componente
	 */
	private static final String COMPONENT_NAME = "signer";
	
	/**
     * Creates a new default instance
     * @return Signer
     */
    public static Signer createInstance() {
        return (Signer) ComponentsFactory.createInstance(COMPONENT_NAME);
    }

}
