package edu.uoc.tfc.j2ee.icampanario.components.clientsigner.resources;

import java.io.Serializable;

import edu.uoc.tfc.j2ee.icampanario.components.ComponentsFactory;


/**
 *
 * Clase fábrica para obtener el cliente de @firma
 * @author Ismael Campanario Cabrera
 *
 */
public class ResourceFactory extends ComponentsFactory implements Serializable {

	/**
     * serial version uid
     */
    private static final long serialVersionUID = -8573560199203109539L;
    /**
     * Nombre del componenre
     */
    private static final String COMPONENT_NAME = "clientsigner";

    /**
	 * Constructor
	 */
    private ResourceFactory() {
    	super();
    }

    /**
     * Crea una nueva instancia del componente
     * @return Resource
     */
    public static Resource createInstance() {
        return (Resource) ComponentsFactory.createInstance(COMPONENT_NAME);
    }
}
