package edu.uoc.tfc.j2ee.icampanario.grepresenta.constants;

/**
 * Constantes
 * 
 * @author Ismael Campanario Cabrera
 * 
 */
public class GRepresentaConstants {

	/**
	 * Constructor
	 */
	private GRepresentaConstants() {
	}

	/**
	 * Url del servidor openoffice
	 */
	public static final String OPENOFFICE_URL = "openoffice.url";

	/**
	 * Puerto del servidor openoffice
	 */
	public static final String OPENOFFICE_PORT = "openoffice.port";

	/**
	 * Key de firma de documento
	 */
	public static final String KEY_SIGN = "0x46,0x78,0x17,0xA5,0x7D,0x12,0x64,0xAF,0x4D,0x21,0x36,0x4E,0x71,0x99,0xCC,0x74,0x25,0x9A,0x54,0x32,0x2C,0x47,0x24,0x4A";

	/**
	 * Url verificacion firma
	 */
	public static final String SIGN_VERIFY_URL = "sign.verify.url";

	/**
	 * Endpoint de firma
	 */
	public static final String SIGN_ENDPOINT_SERVER = "sign.endpoint.server";

	/**
	 * Texto de verificacion de firma
	 */
	public static final String SIGN_VERIFY_TEXT = "sign.verify.text";

	/**
	 * Estado Pendiente
	 */
	public static final String STATE_PENDING = "PEND";

	/**
	 * Estado Confirmado
	 */
	public static final String STATE_CONFIRM = "CONF";

	/**
	 * Estado Rechazado
	 */
	public static final String STATE_REJECTED = "RECH";

	/**
	 * Estado Revocado
	 */
	public static final String STATE_REVOKED = "REVO";

	/**
	 * Estado Renunciado
	 */
	public static final String STATE_WAIVED = "RENU";

	/**
	 * Estado Renunciado
	 */
	public static final String STATE_EXPIRED = "EXPI";

	/**
	 * Otorgamiento global
	 */
	public static final String GRANTING_GLOBAL = "G";

	/**
	 * Otorgamiento tramites
	 */
	public static final String GRANTING_PROCEDURE = "T";

	/**
	 * Otorgamiento notificaciones
	 */
	public static final String GRANTING_NOTIFICATION = "N";

	/**
	 * Apoderamiento telematico
	 */
	public static final String EMP_TYPE_TELEMATIC = "T";

	/**
	 * Apoderamiento presencial
	 */
	public static final String EMP_TYPE_PRESENTIAL = "P";

	/**
	 * Apoderamiento notarial
	 */
	public static final String EMP_TYPE_NOTARIAL = "N";

	/**
	 * Tipo de documento para las solicitudes de otorgamiento y revocación
	 */
	public static final String DOC_TYPE_REQUEST = "S";

	/**
	 * Uso de documentManager
	 */
	public static final String DOCUMENT_MANAGER_USE = "documentManager.use";
	/**
	 * Uso de documentManager
	 */
	public static final String DOCUMENT_MANAGER_PATH = "basePath";

	/**
	 * Constante con el tamaño de buffer
	 */
	public static final int BUFFER_SIZE = 1024;
	/**
	 *
	 */
	public static final String OO_MARCA_VARIABLE = "OO_MARCA_VARIABLE";
	/**
	 *
	 */
	public static final String OO_PREFIJO_TABLA = "OO_PREFIJO_TABLA";
	/**
	 *
	 */
	public static final String OO_PREFIJO_IMAGEN = "OO_PREFIJO_IMAGEN";
	/**
	 *
	 */
	public static final String OO_SEPARADOR_FILA = "OO_SEPARADOR_FILA";
	/**
	 *
	 */
	public static final String OO_SEPARADOR_COLUMNA = "OO_SEPARADOR_COLUMNA";
	/**
	 *
	 */
	public static final String OO_CONVERT_PDF_PUERTO = "OO_CONVERT_PDF_PUERTO";
	/**
	 *
	 */
	public static final String OO_CONVERT_PDF_SERVIDOR = "OO_CONVERT_PDF_SERVIDOR";

	/**
	 *
	 */
	public static final String MARK_VARIABLES_DEFAULT = "$$";
	/**
	 *
	 */
	public static final String PREFIX_TABLE_DEFAULT = "TAB_";
	/**
	 *
	 */
	public static final String PREFIX_IMAGE_DEFAULT = "IMG_";
	/**
	 *
	 */
	public static final String SEPARATOR_ROWS_DEFAULT = ";";
	/**
	 *
	 */
	public static final String SEPARATOR_COLS_DEFAULT = ",";
	/**
	 *
	 */
	public static final String SERVER_CONVERT_PDF_DEFAULT = "localhost";
	/**
	 *
	 */
	public static final int PORT_CONVERT_PDF_DEFAULT = 8100;

	/**
	 * Certificado digital de la Fábrica Nacional de Moneda y Timbre
	 */
	public static final String CERTIFICATE_TYPE_FNMT = "FNMT";
	
	/**
	 * Certificado digital del DNI-electrónico
	 */
	public static final String CERTIFICATE_TYPE_DNIE = "DNIE";
	
}
