package edu.uoc.tfc.j2ee.icampanario.grepresenta.useful.certs;

import java.util.Map;

import edu.uoc.tfc.j2ee.icampanario.grepresenta.useful.report.SignerData;

/**
 * Certificado del DNI electrónico
 * 
 * @author Ismael Campanario Cabrera
 *
 */
public class DNIECertificateImpl implements Certificate {
	
	public static final String SUBJECT_CN = "CN";
	public static final String SUBJECT_SERIALNUMBER = "SERIALNUMBER";
	public static final String SUBJECT_SIGN = "(FIRMA)";

	public SignerData parse(Map<String, String> subjectDNMap) {
		SignerData dataSigner = new SignerData();
		
		dataSigner.setName(subjectDNMap.get(SUBJECT_CN).replace(SUBJECT_SIGN, "").trim());
		dataSigner.setId(subjectDNMap.get(SUBJECT_SERIALNUMBER));
		
		return dataSigner;
	}

}
